#
# set environment to build the 'oldstable' version
#
export ASTER_BRANCH_ID=v12

# devtools environment
DEVTOOLS_ROOT=$(dirname $(dirname ${BASH_SOURCE}))
. ${DEVTOOLS_ROOT}/etc/env.sh $*

# aster5
if [ "$DEVTOOLS_COMPUTER_ID" = "aster5" ]; then
    module load ifort/2013.1.046 icc/2013.1.046 mkl/2013.1.046
    . $ASTER_ROOT/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
fi

# eole
if [ "$DEVTOOLS_COMPUTER_ID" = "eole" ]; then
    module load ifort/2013.1.046 icc/2013.1.046 mkl/2013.1.046
    . /projets/simumeca/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/salomemeca/appli_V2016:/projets/europlexus/bin:${PATH}
    # FIXME: set path to ecrevisse 3.2.1
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/v13/tools/Ecrevisse-321
fi

# calibre9
if [ "$DEVTOOLS_COMPUTER_ID" = "calibre9_user" ]; then
    # for salome installation directory
    export PATH=/home/rd-ap-simumeca/salome_meca/appli_V2016:${PATH}
fi

# clap0f0q
if [ "$DEVTOOLS_COMPUTER_ID" = "clap0f0q" ]; then
    . ${ASTER_INSTALLROOT}/etc/codeaster/profile_gcc47.sh
    . ${ASTER_INSTALLROOT}/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # FIXME: workaround because of a buggy version in prerequisites
    export MISS3D_DIR=/home/aster/public/miss3d
fi
