#
# set environment to build the 'stable-updates' version
#

export ASTER_BRANCH_ID=v13

# devtools environment
DEVTOOLS_ROOT=$(dirname $(dirname ${BASH_SOURCE}))
. ${DEVTOOLS_ROOT}/etc/env.sh $*

# aster5
if [ "$DEVTOOLS_COMPUTER_ID" = "aster5" ]; then
    module load ifort/2016.0.047 icc/2016.0.047 mkl/2016.0.047
    . ${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/prerequisites/Code_europlexus-EPXD_09_18/bin:${PATH}
    export PATH=${ASTER_ROOT}/salomemeca/appli_V2016:${PATH}
    # FIXME: force path to ecrevisse 3.2.2
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/tools/Ecrevisse-322
fi

# eole
if [ "$DEVTOOLS_COMPUTER_ID" = "eole" ]; then
    module load icc/2016.0.047 ifort/2016.0.047 mkl/2016.0.047
    . ${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/prerequisites/Code_europlexus-EPXD_09_18/bin:${PATH}
    export PATH=${ASTER_ROOT}/salomemeca/appli_V2016:${PATH}
    # FIXME: force path to ecrevisse 3.2.2
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/tools/Ecrevisse-322
fi

# gaia
if [ "$DEVTOOLS_COMPUTER_ID" = "gaia" ]; then
    module load ifort/2019.0.045 icc/2019.0.045 mkl/2019.0.045
    . /projets/simumeca/public_INTEL2019/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # for external programs
    export PATH=${ASTER_ROOT}/public_INTEL2019/${ASTER_BRANCH_ID}/prerequisites/Code_europlexus-EPXD_09_18/bin:${PATH}
    export PATH=${ASTER_ROOT}/salomemeca/appli:${PATH}
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public_INTEL2019/${ASTER_BRANCH_ID}/tools/Ecrevisse-322
fi

# calibre9
if [ "$DEVTOOLS_COMPUTER_ID" = "calibre9_user" ]; then
    # for salome installation directory
    export PATH=/home/rd-ap-simumeca/salome_meca/appli:${PATH}
fi

# clap0f0q
if [ "$DEVTOOLS_COMPUTER_ID" = "clap0f0q" ]; then
    . ${ASTER_INSTALLROOT}/etc/codeaster/profile_gcc47.sh
    . ${ASTER_INSTALLROOT}/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # FIXME: force path to ecrevisse 3.2.2
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/tools/Ecrevisse-322
    # FIXME: workaround because of a buggy version in prerequisites
    export MISS3D_DIR=/home/aster/public/miss3d
fi
