# coding=utf-8

"""
Define hooks for devtools repository.
"""

from ..ext_utils import is_admin
from .generic import (branch_checker, branch_user_commit_hook,
                      branch_user_push_hook)

# pylint: disable=invalid-name
repo_branch_checker = branch_checker(authorized=('^edf/', '^v[0-9]+$'))

pretxncommit = branch_user_commit_hook(repo_branch_checker, is_admin,
                                       check_msg=True)

pretxnchangegroup = branch_user_push_hook(repo_branch_checker, is_admin,
                                          check_msg=True)
